package org.project.entity.players;

import org.project.entity.Entity;
import org.project.entity.enemies.Enemy;

import java.util.ArrayList;

public interface ICombatActions {

    void lightAttack(Enemy target);

    void heavyAttack(Enemy target);

    void defend();

    void heal();

    void specialAbility(Enemy target);
}